Bug 110279 - [CI][SHARDS] igt@kms_lease@*implicit* new testcases fail
Summary: [CI][SHARDS] igt@kms_lease@*implicit* new testcases fail
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: lowest normal
Assignee: Daniel Vetter
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
: 110281 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-03-29 07:54 UTC by Lakshmi
Modified: 2019-07-02 11:36 UTC (History)
2 users (show)

See Also:
i915 platform: BXT, G33, GLK, HSW, ICL, KBL, SKL, SNB
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-29 07:54:08 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-hsw6/igt@kms_lease@atomic_implicit_crtc.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-iclb2/igt@kms_lease@atomic_implicit_crtc.html

	
Starting subtest: atomic_implicit_crtc
(kms_lease:6940) CRITICAL: Test assertion failure function atomic_implicit_crtc, file ../tests/kms_lease.c:538:
(kms_lease:6940) CRITICAL: Failed assertion: ret == -EACCES
Subtest atomic_implicit_crtc failed.
**** DEBUG ****
(kms_lease:6940) INFO: Beginning atomic_implicit_crtc on pipe A, connector eDP-1
(kms_lease:6940) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_lease:6940) DEBUG: Test requirement passed: data->master.display.is_atomic
(kms_lease:6940) DEBUG: Test requirement passed: wrong_crtc_id
(kms_lease:6940) CRITICAL: Test assertion failure function atomic_implicit_crtc, file ../tests/kms_lease.c:538:
(kms_lease:6940) CRITICAL: Failed assertion: ret == -EACCES
(kms_lease:6940) igt_core-INFO: Stack trace:
(kms_lease:6940) igt_core-INFO:   #0 ../lib/igt_core.c:1474 __igt_fail_assert()
(kms_lease:6940) igt_core-INFO:   #1 ../tests/kms_lease.c:539 atomic_implicit_crtc()
(kms_lease:6940) igt_core-INFO:   #2 ../tests/kms_lease.c:877 run_test()
(kms_lease:6940) igt_core-INFO:   #3 ../tests/kms_lease.c:1298 __real_main1266()
(kms_lease:6940) igt_core-INFO:   #4 ../tests/kms_lease.c:1266 main()
(kms_lease:6940) igt_core-INFO:   #5 ../csu/libc-start.c:344 __libc_start_main()
(kms_lease:6940) igt_core-INFO:   #6 [_start+0x2a]
****  END  ****
Subtest atomic_implicit_crtc: FAIL (0.007s)
Comment 1 CI Bug Log 2019-03-29 07:57:26 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* SNB HSW APL SKL KBL GLK ICL: igt@kms_lease@atomic_implicit_crtc - fail - Failed assertion: ret == -EACCES
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-apl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-glk2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-hsw1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-iclb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-kbl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-apl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-glk3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-hsw5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-kbl7/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-snb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-apl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-glk5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-hsw8/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-iclb1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-kbl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-skl4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-snb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-apl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-glk9/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-hsw1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-iclb5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-kbl1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-snb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-apl8/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-glk5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-hsw5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-kbl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-snb5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-apl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-glk2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-hsw8/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-kbl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-snb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-apl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-glk4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-iclb5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-kbl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-skl6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-snb6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-apl5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-glk1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-hsw5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-kbl4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-snb4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-apl5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-glk9/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-hsw1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-kbl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-snb4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-apl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-glk7/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-hsw1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-kbl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-snb5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-apl7/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-glk5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-iclb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-kbl5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-skl8/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-snb6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-apl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-glk4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-hsw6/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-iclb5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-kbl2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-skl7/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-snb2/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-apl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-glk3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-hsw1/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-kbl7/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-snb4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-apl4/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-hsw5/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-kbl3/igt@kms_lease@atomic_implicit_crtc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-snb4/igt@kms_lease@atomic_implicit_crtc.html
Comment 2 CI Bug Log 2019-03-29 09:07:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SNB HSW APL SKL KBL GLK ICL: igt@kms_lease@atomic_implicit_crtc - fail - Failed assertion: ret == -EACCES -}
{+ all machines: igt@kms_lease@atomic_implicit_crtc - fail - Failed assertion: ret == -EACCES +}

 No new failures caught with the new filter
Comment 3 Daniel Vetter 2019-04-01 12:32:40 UTC
Patches on the m-l awaiting review, but stuck due to lack of review

https://patchwork.freedesktop.org/series/57348/

Waiting for review from Dave Airlie and Keith Packard.

No end user impact because it just clarifies some uapi corner cases that don't matter in current use-cases.
Comment 4 Daniel Vetter 2019-04-02 11:20:42 UTC
*** Bug 110281 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Vetter 2019-04-24 09:43:16 UTC
Kernel side pushed, should be all fixed with

commit b8c7d7bc8386924f57aac0a745ae3240f07b743b (HEAD -> drm-misc-next-fixes, drm-misc/for-linux-next, drm-misc/drm-misc-next-fixes)
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Feb 28 15:49:10 2019 +0100

    drm/atomic: -EACCESS for lease-denied crtc lookup

and the patches leading up to that.
Comment 6 Martin Peres 2019-07-02 11:36:49 UTC
(In reply to Daniel Vetter from comment #5)
> Kernel side pushed, should be all fixed with
> 
> commit b8c7d7bc8386924f57aac0a745ae3240f07b743b (HEAD ->
> drm-misc-next-fixes, drm-misc/for-linux-next, drm-misc/drm-misc-next-fixes)
> Author: Daniel Vetter <daniel.vetter@ffwll.ch>
> Date:   Thu Feb 28 15:49:10 2019 +0100
> 
>     drm/atomic: -EACCESS for lease-denied crtc lookup
> 
> and the patches leading up to that.

Thanks!
Comment 7 CI Bug Log 2019-07-02 11:36:57 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.